#!/usr/bin/perl
# $Id: lsdb.t,v 1.3 2002/01/03 23:49:12 rra Exp $
#
# Test suite for the Stanford::LSDB module.  Before "make install" is
# performed this script should be runnable with "make test".

# Modify when adding new tests.
BEGIN { $| = 1; print "1..4\n"; }

##############################################################################
# Ensure module can be loaded
##############################################################################

END { print "not ok 1\n" unless $loaded }
use Stanford::LSDB;
$loaded = 1;
print "ok 1\n";

##############################################################################
# Test suite
##############################################################################

# (2) Try connecting to lsdb as the afsdb user.
open (PASSWORD, '/db/passwords/system')
    or die "Cannot open /db/passwords/system: $!\n";
my $password = <PASSWORD>;
close PASSWORD;
chomp $password;
my $dbh = Stanford::LSDB->connect ('lsdb:LSDB', 'system', $password);
if (defined $dbh) {
    print "ok 2\n";
} else {
    print "not ok 2\n";
}

# (3) Ensure the database is there.
if ($dbh->ping) {
    print "ok 3\n";
} else {
    print "not ok 3\n";
}

# (4) Disconnect from the database.
if ($dbh->disconnect) {
    print "ok 4\n";
} else {
    print "not ok 4\n";
}
